package com.huimv.env.manage.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.env.manage.entity.EnvDeviceRegister;
import com.huimv.env.manage.entity.dto.EnvDeviceRegisterDto;
import com.huimv.env.manage.mapper.EnvDeviceRegisterMapper;
import com.huimv.env.manage.service.IEnvDeviceRegisterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@Service
public class EnvDeviceRegisterServiceImpl extends ServiceImpl<EnvDeviceRegisterMapper, EnvDeviceRegister> implements IEnvDeviceRegisterService {

    @Autowired
    private EnvDeviceRegisterMapper envDeviceRegisterMapper;
    @Override
    public Result registerList(Map<String, String> paramMap) {
        String farmCode = paramMap.get("farmCode");
        String pageSize = paramMap.get("pageSize");
        String pageNum = paramMap.get("pageNum");
        if (StringUtils.isBlank(pageNum)){
            pageNum = "1";
        }
        if (StringUtils.isBlank(pageSize)){
            pageSize = "20";
        }
        IPage<EnvDeviceRegisterDto> envDeviceRegisterPage = new Page<>(Long.parseLong(pageNum), Long.parseLong(pageSize));
       IPage<EnvDeviceRegisterDto> page=  envDeviceRegisterMapper.registerList(envDeviceRegisterPage,farmCode);



        return new Result(ResultCode.SUCCESS, page);
    }
}
